#
# spec file for package jline
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}
%define _without_maven 1
%bcond_without          maven
%define section free
%define repo_dir        .m2/repository

Name:           jline
Version:        0.9.94
Release:        28.2
Summary:        Java library for reading and editing user input in console applications
License:        BSD-3-Clause
Group:          Development/Libraries/Java
Url:            http://jline.sourceforge.net/
Source0:        http://download.sourceforge.net/sourceforge/jline/jline-0.9.94.zip
Source1:        CatalogManager.properties
Source2:        jline-build.xml
Source3:        jline-0.9.94.pom
Requires:       /bin/sh
Requires:       /bin/stty
Requires(post): javapackages-tools
Requires(postun): javapackages-tools
#bnc#816314: for update_maven_depmap
Requires(post): findutils
Requires(postun): findutils
BuildRequires:  javapackages-tools
BuildRequires:  xml-commons-resolver
%if %with maven
BuildRequires:  maven-release
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven2
BuildRequires:  maven2-plugin-assembly
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-site
%endif
BuildRequires:  ant
BuildRequires:  java-1_5_0-gcj-compat-devel
BuildRequires:  unzip
#!BuildIgnore:  antlr antlr-java
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
JLine is a java library for reading and editing user input in console
applications. It features tab-completion, command history, password
masking, customizable keybindings, and pass-through handlers to use to
chain to other console applications.



%package        demo
Summary:        Java library for reading and editing user input in console applications
Group:          Development/Libraries/Java

%description    demo
JLine is a java library for reading and editing user input in console
applications. It features tab-completion, command history, password
masking, customizable keybindings, and pass-through handlers to use to
chain to other console applications.




%prep
# BEWARE: The jar file META-INF is not under the subdir
%setup -q -c
cp -pr %{name}-%{version}/* .
rm -r %{name}-%{version}
find -type f -name '*.jar' | xargs -t rm
# Use locally installed DTDs
mkdir -p build
cp -p %{SOURCE1} build/CatalogManager.properties
cp -p %{SOURCE2} src/build.xml
%if %without maven
perl -p -i -e 's|^.*<attribute name="Class-Path".*||' build.xml
%endif

%build
mkdir -p native
# Use locally installed DTDs
export CLASSPATH=`pwd`/build
cd src/
%if %with maven
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL
mvn-jpp \
        -e \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven.test.failure.ignore=true \
        install javadoc:javadoc
%else
export CLASSPATH=`pwd`/target/classes:`pwd`/target/test-classes
export OPT_JAR_LIST=:
ant jar
%endif

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -p -m 644 src/target/jline.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)

# pom
install -pD -T -m 644 %{SOURCE3} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%defattr(0644,root,root,0755)
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar
%config %{_mavendepmapfragdir}/*
%{_mavenpomdir}/*

%changelog
* Mon Sep  9 2013 tchvatal@suse.com
- Move from jpackage-utils to javapackage-tools
* Mon Aug 26 2013 mvyskocil@suse.com
- use new add_maven_depmap from javapackages-utils
* Thu Apr 25 2013 mvyskocil@suse.com
- add findutils dependency (bnc#816314)
* Thu Sep  2 2010 mvyskocil@suse.cz
- ignore antlr(-java) to reduce build cycles
* Wed Nov 18 2009 mvyskocil@suse.cz
- Build using gcj - needed by rhino 1.7R2 - bnc#554532
* Thu May  7 2009 mvyskocil@suse.cz
- Initial SUSE packaging 0.9.94 from jpp 5.0
